changelogs.md


postcss/postcss-calc

Repository  -  API  -  Source

6.0.1

October 10, 2017
  • Fixed: throwing error for attribute selectors without a value

6.0.0

May 8, 2017
  • Breaking: Updated PostCSS from v5.x to v6.x, and reduce-css-calc from v1.x to v2.x (thanks to @andyjansson).

5.3.1

August 22, 2016
  • Fixed: avoid security issue related to reduce-css-calc@< 1.2.4.

5.3.0

July 11, 2016
  • Added: support for selector transformation via selectors option. (#29 - @uniquegestaltung)

5.2.1

April 10, 2016
  • Fixed: support for multiline value (#27)

5.2.0

January 8, 2016
  • Added: "mediaQueries" option for @media support (#22)

5.1.0

January 7, 2016
  • Added: "warnWhenCannotResolve" option to warn when calc() are not reduced to a single value (#20)

5.0.0

August 25, 2015
  • Removed: compatibility with postcss v4.x
  • Added: compatibility with postcss v5.x

4.1.0

April 9, 2015
  • Added: compatibility with postcss v4.1.x (#12)

4.0.1

April 9, 2015
  • Fixed: preserve option does not create duplicated values (#7)

4.0.0

January 26, 2015
  • Added: compatibility with postcss v4.x
  • Changed: partial compatiblity with postcss v3.x (stack traces have lost filename)

3.0.0

November 24, 2014
  • Added: GNU like exceptions (#4)
  • Added: precision option (#5)
  • Added: preserve option (#6)

2.1.0

October 15, 2014
  • Added: source of the error (gnu like message) (fix #3)

2.0.1

August 10, 2014
  • Fixed: correctly ignore unrecognized values (fix #2)

2.0.0

August 6, 2014
  • Changed: Plugin now return a function to have a consistent api. (ref 1, ref 2)

1.0.0

August 4, 2014

✨ First release based on rework-calc v1.1.0 (code mainly exported to reduce-css-calc)